Bug 16123

Summary: Display budget hierarchy in the budget dropdown menu used when placing a new order
Product: Koha Reporter: Francois Charbonnier <francois.charbonnier>
Component: AcquisitionsAssignee: Bouzid Fergani <bouzid.fergani>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: bouzid.fergani, jibkanittah, jonathan.druart+koha, katrin.fischer, kyle, remi.mayrand-provencher, veron
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Small patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Bug Depends on:    
Bug Blocks: 24866    
Attachments: Bug 16123 - Display budget hierarchy in the budget dropdown menu used when placing a new order
Bug 16123 - Display budget hierarchy in the budget dropdown menu used when placing a new order
Bug 16123 - Add unit tests
Bug 16123 - Display budget hierarchy in the budget dropdown menu used when placing a new order
Bug 16123 - Add unit tests
[PASSED QA] Bug 16123 - Display budget hierarchy in the budget dropdown menu used when placing a new order
[PASSED QA] Bug 16123 - Add unit tests
Bug 16123: Remove bold formatting from first level fund

Description Francois Charbonnier 2016-03-22 16:01:13 UTC
When placing a new order, the budget dropdown will display the budget hierarchy. 

TEST PLAN :

1. Go to the Administration module
2. Add a new budget (ie : Budget 2016)
3. Add a fund to this budget (ie : Book)
4. Add a child fund (ie : Adult fiction)

You will have this hierarchy :

Budget 2016
 |____ Book
         |_____ Adult fiction


5. Go to the Acquisition module
6. Select a vendor and create a new basket
7. Place an order
8. Check the budget dropdown menu

BEFORE PATCH 
Book
Adult fiction

AFTER PATCH
Book
   Adult fiction
Comment 1 Rémi Mayrand-Provencher 2016-04-19 18:50:25 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-05-31 15:27:28 UTC
Created attachment 51933 [details] [review]
Bug 16123 - Display budget hierarchy in the budget dropdown menu used when placing a new order

When placing a new order, the budget dropdown will display the budget hierarchy.

TEST PLAN :

1. Go to the Administration module
2. Add a new budget (ie : Budget 2016)
3. Add a fund to this budget (ie : Book)
4. Add a child fund (ie : Adult fiction)

You will have this hierarchy :

Budget 2016
 |____ Book
         |_____ Adult fiction

5. Go to the Acquisition module
6. Select a vendor and create a new basket
7. Place an order
8. Check the budget dropdown menu

BEFORE PATCH
Book
Adult fiction

AFTER PATCH
Book
   Adult fiction

Dropbown menu is hierarchical as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Jonathan Druart 2016-06-12 11:52:02 UTC
Philippe, Please provide tests.
Comment 4 Bouzid Fergani 2016-10-12 19:53:38 UTC
Created attachment 56303 [details] [review]
Bug 16123 - Add unit tests
Comment 5 Nicolas Legrand 2016-10-13 13:58:55 UTC
Created attachment 56406 [details] [review]
Bug 16123 - Display budget hierarchy in the budget dropdown menu used when placing a new order

When placing a new order, the budget dropdown will display the budget hierarchy.

TEST PLAN :

1. Go to the Administration module
2. Add a new budget (ie : Budget 2016)
3. Add a fund to this budget (ie : Book)
4. Add a child fund (ie : Adult fiction)

You will have this hierarchy :

Budget 2016
 |____ Book
         |_____ Adult fiction

5. Go to the Acquisition module
6. Select a vendor and create a new basket
7. Place an order
8. Check the budget dropdown menu

BEFORE PATCH
Book
Adult fiction

AFTER PATCH
Book
   Adult fiction

Dropbown menu is hierarchical as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>
Comment 6 Nicolas Legrand 2016-10-13 13:59:03 UTC
Created attachment 56407 [details] [review]
Bug 16123 - Add unit tests

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>
Comment 7 Katrin Fischer 2016-10-26 23:18:15 UTC
Making the 1st level bold for me doesn't look quite right. I think it gives you the idea that you can't order from that level, as it looks like an option group. For libraries that don't use child funds, it will just all be bold (most if not all of ours). I've looked at the receive screen too and bold is used there for the budget level - maybe something that could be added later on. I am proposing a follow-up removing the bold formatting.
Comment 8 Katrin Fischer 2016-10-26 23:20:35 UTC
Created attachment 56890 [details] [review]
[PASSED QA] Bug 16123 - Display budget hierarchy in the budget dropdown menu used when placing a new order

When placing a new order, the budget dropdown will display the budget hierarchy.

TEST PLAN :

1. Go to the Administration module
2. Add a new budget (ie : Budget 2016)
3. Add a fund to this budget (ie : Book)
4. Add a child fund (ie : Adult fiction)

You will have this hierarchy :

Budget 2016
 |____ Book
         |_____ Adult fiction

5. Go to the Acquisition module
6. Select a vendor and create a new basket
7. Place an order
8. Check the budget dropdown menu

BEFORE PATCH
Book
Adult fiction

AFTER PATCH
Book
   Adult fiction

Dropbown menu is hierarchical as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 9 Katrin Fischer 2016-10-26 23:20:40 UTC
Created attachment 56891 [details] [review]
[PASSED QA] Bug 16123 - Add unit tests

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 10 Katrin Fischer 2016-10-26 23:20:44 UTC
Created attachment 56892 [details] [review]
Bug 16123: Remove bold formatting from first level fund
Comment 11 Katrin Fischer 2016-10-26 23:22:06 UTC
Please check if you agree with the last patch before pushing.
Comment 12 Kyle M Hall 2016-10-28 15:26:47 UTC
Pushed to master for 16.11, thanks Philippe, Bouzid, Katrin!